<html>
<head>
	<!-- Add in any custom styling -->
	<link rel="stylesheet" type="text/css" href="main.css">

	<!-- Include jQuery -->
	<script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
	
	<!-- Support for SemanticUI -->	  
	<script type="text/javascript" src="semantic/semantic.min.js"></script>
	<link rel="stylesheet" type="text/css" href="semantic/semantic.min.css">

	<!-- Support for dropdown menus -->
	<script type="text/javascript" src="semantic/components/dropdown.min.js"></script>
	<link rel="stylesheet" type="text/css" href="semantic/components/dropdown.min.css">

	<!-- Support for Date Range Picker (http://www.daterangepicker.com) -->
	<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
	<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
	<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
</head>
<body>

	<div class="ui container">

		<!-- HTML Header 										-->		
  		<h1>Custom Filter Samples</h1>

		<!-- Define the HTML structure of the filters 			-->
		<div class="ui inverted menu filters">
		  
			<!-- Boolean filter 								-->
			<div class="item filter" type="toggle" dim="[Admissions.Surgical_Procedure]" selection="Yes" datatype="text">
				<a href="#">Required Surgery</a>
			</div>

			<!-- Dropdown text selection 						-->
			<div class="ui multiple selection dropdown item filter" type="dropdown" dim="[Patients.Gender]" datatype="text">
				<input name="gender" type="hidden">
				<i class="dropdown icon"></i>
				<div class="default text">Gender</div>
				<div class="menu">
				</div>
			</div>

			<!-- Cascaging Dropdown selection 						-->
			<div class="ui dropdown item filter" type="cascading" dims="[Doctors.Specialty],[Doctors.Full Name]" datatype="text">
				Doctors
				<i class="dropdown icon"></i>
				<div class="menu">
				  <div class="item">Clear</div>
				  <div class="divider"></div>
				  <div class="item">One more separated link</div>
				</div>
			</div>

			<!-- Date Selection 								-->
			<div class="ui icon input inverted transparent filter" style="width: 14em;" 
				 type="calendar"  dim="[Admissions.Admission_Time (Calendar)]" datatype="datetime">
				<input name="daterange" type="text" placeholder="   Pick a date range">
				<i class="calendar alternate outline icon"></i>
			</div>

			<!-- Clear Selection 								-->
			<div class="item filter right " type="clear">
				<a class="ui red label">Clear<span><i class="icon undo"></i></span></a>
			</div>
		</div>


		<!-- Define the HTML structure of our widgets  			-->
		<div id="sisenseApp" class="ui container">
		  <div class="ui relaxed divided items">
		    <div class="item">
		      <div class="content" widgetid="57b76a3e4591399c1b000007">
		        <a class="header"></a>
		        <div class="description widget"></div>
		      </div>
		    </div>
		    <div class="item">
		      <div class="content" widgetid="57b76a3e4591399c1b000008">
		        <a class="header"></a>
		        <div class="description widget"></div>
		      </div>
		    </div>
		  </div>
		</div>

	</div>

	<!-- Add in the JavaScript files to load Sisense content -->
	<script type="text/javascript" src="config.js"></script>
	<script type="text/javascript" src="main.js"></script>
</body>
</html>	